Bug 248718 - /proc/loadavg
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan Lerch
Content Services Development
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2007-07-18 09:16 EDT by Sai Kiran Kanuri
Modified: 2009-08-20 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: web
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-22 20:12:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sai Kiran Kanuri 2007-07-18 09:16:22 EDT
Description of problem:

Under Section 3.2.16 related to /proc/loadavg

the following text is mention in the Deployment guide.

"3.2.16. /proc/loadavg

This file provides a look at the load average in regard to both the CPU and IO
over time, as well as additional data used by uptime and other commands. A
sample /proc/loadavg file looks similar to the following:

0.20 0.18 0.12 1/80 11206

The first three columns measure CPU and IO utilization of the last one, five,
and 10 minute periods. The fourth column shows the number of currently running
processes and the total number of processes. The last column displays the last
process ID used."

The time interval i believe should be last one min, five mins & fifteen mins
interval rather than ten min interval.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Luis Claudio R. Goncalves 2007-08-15 18:01:51 EDT
Load avg has to do with number of processes ready to run (in the run queue,
waiting for a CPU share), not only CPU and IO usage.
Comment 3 Luis Claudio R. Goncalves 2008-02-01 05:36:10 EST
And yes, the values refer to the last 1, 5 and 15 minutes. Sorry for not paying
attention to this detail.
Comment 4 Don Domingo 2008-02-03 17:57:46 EST
corrected in source. also added:

<para>In addition, load average also refers to the number of processes ready to
run (i.e. in the run queue, waiting for a CPU share.</para>

setting this bug as MODIFIED. thanks Luis, K. Sai!

Note You need to log in before you can comment on or make changes to this bug.